/* ======================================================================================================================================
  @author Grant McKenzie (grant.mckenzie@geog.ucsb.edu)
  @date 02/02/2014
  @project Project 2 
  @course MAT259
  @description This project shows the individual Dewey Classes for the books in the Seattle Public Library styled by check-out signature
  @file Main file which includes global vars and setup function
  ======================================================================================================================================== */
  
  ArrayList<String[]> colorBlocks;
  PFont awesomeFont = null;
  PFont awesomeFont2 = null;
  boolean rect = false;
  
  void setup()
  {
    // specify base size and background color
    size(1120, 650);
    background(0);
    
    frameRate(60);
    smooth();
    
    // Get some fonts
    awesomeFont = createFont("Arial", 22, true);
    awesomeFont2 = createFont("Arial", 12, true);
    
    // Load in TWO CSV files.  One for the counts per hour and one for the class names
    String[][] deweyHours = loadCSV("deweycounts.csv", 3);
    float[][] sorted = SortDewey(deweyHours);
    String[][] deweyClasses = loadCSV("deweylookup.csv", 2);
    
    // Style the dewey classes based on their signatures
    colorBlocks = getColorDefinition(sorted, deweyClasses);

  }


