/* ======================================================================================================================================
  @author Grant McKenzie (grant.mckenzie@geog.ucsb.edu)
  @date 02/02/2014
  @project Project 2 
  @course MAT259
  @description This project shows the individual Dewey Classes for the books in the Seattle Public Library styled by check-out signature
  @file Draw functionality
  ======================================================================================================================================== */
  
  void draw() {
    // push off the edge by 10 pixels
    translate(10,10);
    // assign font
    textFont(awesomeFont);
    // set the default location
    int locx = 0;
    int locy = 0;
    // When the mouse moves, fire the update function
    update(mouseX, mouseY);
    stroke(0);
    
    // Look through the colorblock arrayList and draw the rectangle based on the color and dewey class
    for(int i=0;i<colorBlocks.size();i++) {
        locx = int(colorBlocks.get(i)[2]) / 10 * 11;
        locy = int(colorBlocks.get(i)[2]) % 10 * 60;
        fill(int(colorBlocks.get(i)[3]),int(colorBlocks.get(i)[4]),int(colorBlocks.get(i)[5]));
        rect(locx,locy,10,60);
    }
    // Draw Legend
    setGradient(800, 610, 150, 10, color(255,0,0), color(0,255,0), 2);
    setGradient(950, 610, 149, 10, color(0,255,0), color(0,0,255), 2);
    fill(0);
    stroke(0);
    rect(800,620,300,30);
    // text for legend
    fill(255);
    textFont(awesomeFont2);
    text("Morning (8a-11a)",800,632);
    text("Noon (11a-3p)",914,632);
    text("Evening (3p-7p)",1013,632);
  }
